############################################################################
#    Copyright (C) 2006 by Alexander Dymo   #
#    dymo@mk.ukrtelecom.ua   #
#                                                                          #
#    This program is free software; you can redistribute it and#or modify  #
#    it under the terms of the GNU General Public License as published by  #
#    the Free Software Foundation; either version 2 of the License, or     #
#    (at your option) any later version.                                   #
#                                                                          #
#    This program is distributed in the hope that it will be useful,       #
#    but WITHOUT ANY WARRANTY; without even the implied warranty of        #
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         #
#    GNU General Public License for more details.                          #
#                                                                          #
#    You should have received a copy of the GNU General Public License     #
#    along with this program; if not, write to the                         #
#    Free Software Foundation, Inc.,                                       #
#    59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             #
############################################################################
require 'mainwinbase.rb'

class MainWin < MainWinBase
    def currentChanged(item)
        text = item.text.downcase.gsub(/[ .#]/, '_')
        list_id = item.listBox.name[-1, 1].to_i + 1
        eval("list#{list_id}.clear if list_id <= 3")
        eval("list#{list_id+1}.clear if (list_id+1) <= 3")
        eval("list#{list_id}.insertStringList @#{text}_list if instance_variables.include?('@#{text}_list')")

        eval("instance_variables.include?('@#{text}_actions') ? fillActions(@#{text}_actions) : clearActions")
    end

    def fillActions(list)
        for i in 0..list.length
            eval("a#{i+1}.text = list[i]")
        end
    end

    def clearActions
        (1..5).each { |i| eval("a#{i}.text = ''") }
    end

    def initialize(*k)
        super(*k)
        @filemanager_list = %w{ bin etc lib home mnt usr var }
        @bin_list = %w{ bash ash zsh }
        @codeview_list = %w{ FooNs BooNs MyGreatClass }
        @foons_list = %w{ MyClass1 MyClass2 }
        @mygreatclass_list = %w{ doSmth(int,bool) doSmthElse(int,bool) }
        @documentview_list = %w{ foo.cpp foo.h myclass.cpp myclass.h }
        @projectmanager_list = %w{ subproject target1 target2 file1 file2 }
        @subproject_list = %w{ target11 target12 }
        @target1_list = %w{ file11 file12 }
        @target2_list = %w{ file21 file22 file23 }
        @documentation_list = %w{ Index DocBookmarks QtDocumentation KDEDocumentation }
        @index_list = %w{ QObject QMetaObject QListBox QListBoxItem QListView QListViewItem }
        @docbookmarks_list = %w{ http://www.kdevelop.org http://www.kde.org }
        @qtdocumentation_list = %w{ QAccelClassReference QtTutorial }
        @kdedocumentation_list = %w{ kdecore kdeui knewstuff }
        @codesnippets_list = %w{ for\ loop while\ loop my\ own\ snippet }
        @filecreation_list = %w{ new\ empty\ file new\ c++\ header new\ c++ source widget c++\ class}
        @widget_list = %w{ widget main\ window dialog wizard }
        @bookmarks_list = %w{ somesource_cpp }
        @somesource_cpp_list = %w{ #40 #70 }
        @home_list = %w{ foo.txt }

        @foo_txt_actions = %w{ Open Open\ in\ new\ window\ group }
        @for_loop_actions = %w{ Insert\ Snippet }
        @new_empty_file_actions = %w{ Create }
    end

end
